[compiz] AIGLX Support with nVidia 9625 Drivers

Mirco Müller macslow at bangang.de
Mon Sep 25 02:35:15 PDT 2006

Am Sonntag, den 24.09.2006, 18:19 -0700 schrieb Soup Laddy:

> trying to get Compiz to work with AIGLX... simply running 'compiz', or
> even with the addition of any options other than version, causes
> compiz to detect that it is indeed not XGL, and then segmentation
> faults...

	Are you sure you're running Xorg 7.1? The new driver will not work with
earlier versions of Xorg.

Does running Xorg 7.1 with metacity report...

	2.1 NVIDIA 96.25

if issuing the command...

	glxinfo | grep "OpenGL version string" | cut -f2 -d:

in a terminal-window?

	Are you using a recent (let's say not older than two days) version of
compiz? There have been important changes made recently.

Did you try starting compiz like this...

	gconftool-2 -s /apps/gwd/use_metacity_theme -t bool true
	gnome-window-decorator --replace &
	compiz --replace --use-cow gconf &

	The command with gconftool-2 is only needed once. If everything works,
you can add the other two commands to your gnome-session via the menu
system/preferences/session if you're using Gnome. If you're using KDE
the means for adding those commands to your desktop-session will look
different. But I don't know the needed steps for this case.

BTW, you might check...


for a working xorg.conf, which follows the suggestions from some
nvidia-engineers for running compiz ontop of plain Xorg 7.1 and their
new driver. The most important parts are the "Screen"- and
"Extensions"-sections at the bottom.

I hope this helps.

Best regards...

Mirco "MacSlow" Müller

email - macslow at bangang.de
www - http://macslow.thepimp.net
lowfat - http://macslow.thepimp.net/sponsor-it

More information about the compiz mailing list